<template>
  <div
    :class="{'opacity-100': isReady, 'opacity-0': !isReady}"
    class="HistoryItem p-2 flex flex-row border-b transition-all">
    <div class="flex-1 text-gray-400 text-sm py-2 font-medium">
      Moved post {{ commitDetails.draggedPostId }} from index {{ commitDetails.oldIndex }} to index {{ commitDetails.newIndex }}
    </div>
    <button
      @click="$emit('revert', index)"
      class="bg-green-400 rounded-md px-4 py-2 font-medium text-gray-700 text-sm hover:bg-green-500 transition-all">
        Time travel
    </button>
  </div>
</template>

<script>
export default {
  name: 'HistoryItem',
  props: {
    commitDetails: {
      type: Object,
      required: true,
    },
    index: {
      type: Number,
      required: true,
    },
  },
  mounted() {
    setTimeout(() => {
      this.isReady = true;
    }, 100);
  },
  data () {
    return {
      isReady: false,
    };
  }
}
</script>
